# USThing.UI
:metal: UI library for USThing

#### Documentation

Checkout our [Documentation site](https://inizio.github.io/usthing-ui/)

## Installation
USThing-UI is available as an [npm package](https://npm.im/@usthing/ui-core).
```sh
# With npm
npm i @usthing/ui-core react prop-types immutable # immutable is only needed if you use <Editor/>

# With yarn
yarn add @usthing/ui-core react prop-types immutable
```

## Import-by-demand
1. In .babelrc
```js
plugins: [
  ["import", {
    "libraryName": "@usthing/ui-core",
    "libraryDirectory": "lib",
    "camel2DashComponentName": true
  }]
]
```

## Usage
```js
import React from 'react'
import ReactDOM from 'react-dom'
import {Button} from '@usthing/ui-core'

cosnt App = () => (
  <Button>Hello USThing!!</Button>
)

ReactDOM.render(<App />, document.querySelector('#app'))
```
